Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class BundlingNamedCache.PutBundler

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.AbstractBundler
com.tangosol.net.cache.AbstractEntryBundler
com.tangosol.net.cache.BundlingNamedCache.PutBundler`

Enclosing class:
  BundlingNamedCache

      protected class BundlingNamedCache.PutBundler

extends AbstractEntryBundler

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.net.cache.AbstractEntryBundler
`AbstractEntryBundler.Bundle`

Nested classes/interfaces inherited from class com.tangosol.net.cache.AbstractBundler
`AbstractBundler.Statistics`

Field Summary

Fields inherited from class com.tangosol.net.cache.AbstractBundler
`ADJUSTMENT_FREQUENCY, m_countThreads, m_dPreviousSizeThreshold, m_listBundle`

Constructor Summary
`protected` | `BundlingNamedCache.PutBundler()`

Method Summary
`protected void` | `bundle(java.util.Map map)` A pass through the the underlying putAll() operation.

Methods inherited from class com.tangosol.net.cache.AbstractEntryBundler
`instantiateBundle, process, processAll`

Methods inherited from class com.tangosol.net.cache.AbstractBundler
`adjust, getDelayMillis, getOpenBundle, getSizeThreshold, getThreadThreshold, isAllowAutoAdjust, resetStatistics, setAllowAutoAdjust, setDelayMillis, setSizeThreshold, setThreadThreshold, toString, updateStatistics`

Constructor Detail

### BundlingNamedCache.PutBundler

    protected BundlingNamedCache.PutBundler()

Method Detail

### bundle

    protected void bundle(java.util.Map map)

  A pass through the the underlying putAll() operation.
  Specified by:
    `bundle` in class `AbstractEntryBundler`
  Parameters:
    `map` - a map to perform the bundled operation for

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.